Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	various gtk widgets for xfce
Name: 		libxfcegui4
Version:	4.6.4
Release:	1
License:	LGPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical Desktop/Xfce/Libraries
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libglade-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: xfconf-devel
BuildRequires: zlib-devel

%description
Various gtk widgets for xfce.

%package	devel
Summary:	developpment tools for libxfcegui4 library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Static libraries and header files for the libxfcegui4 library.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce --disable-gtk-doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xfce/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
%{_libdir}/libglade/2.0/libxfce4.so
%{_libdir}/libxfce4kbd-private.so.*
%{_libdir}/libxfcegui4.so.*
%{_datadir}/icons/hicolor/*/apps/xfce-edit.png
%{_datadir}/icons/hicolor/*/apps/xfce-filemanager.png
%{_datadir}/icons/hicolor/*/apps/xfce-games.png
%{_datadir}/icons/hicolor/*/apps/xfce-graphics.png
%{_datadir}/icons/hicolor/*/apps/xfce-internet.png
%{_datadir}/icons/hicolor/*/apps/xfce-man.png
%{_datadir}/icons/hicolor/*/apps/xfce-multimedia.png
%{_datadir}/icons/hicolor/*/apps/xfce-printer.png
%{_datadir}/icons/hicolor/*/apps/xfce-schedule.png
%{_datadir}/icons/hicolor/*/apps/xfce-sound.png
%{_datadir}/icons/hicolor/*/apps/xfce-terminal.png
%{_datadir}/icons/hicolor/*/apps/xfce-unknown.png
%{_datadir}/icons/hicolor/*/apps/xfce-utils.png
%{_datadir}/icons/hicolor/scalable/apps/xfce-filemanager.svg
%{_locale}/*/LC_MESSAGES/libxfcegui4.mo

%files devel
%defattr(-, root, root)
%{_includedir}/xfce4/libxfce4kbd-private
%{_includedir}/xfce4/libxfcegui4
%{_libdir}/libglade/2.0/libxfce4.a
%{_libdir}/libglade/2.0/libxfce4.la
%{_libdir}/libglade/2.0/libxfce4.so
%{_libdir}/libxfce4kbd-private.a
%{_libdir}/libxfce4kbd-private.la
%{_libdir}/libxfce4kbd-private.so
%{_libdir}/libxfcegui4.a
%{_libdir}/libxfcegui4.la
%{_libdir}/libxfcegui4.so
%{_pkgconfig}/libxfce4kbd-private-1.0.pc
%{_pkgconfig}/libxfcegui4-1.0.pc
%{_datadir}/gtk-doc/html/libxfcegui4

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.6.4-1
- Version Update
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.6.1-1
- Version Update
* Sun May 24 2009 Christian Metzen <metzench@ccux-linux.de> 4.6.0-2
- move glade files to main package
* Sat Mar 14 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.5.92-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.4.3-1
- Version update
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.2-1
- Version update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.1-1
- Version update
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-1
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-2
- Version Update RC2
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.90-1
- Version Update, beta2
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3
- Version update
* Fri Oct 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Initial Release

